Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.data
Class Line

    java.lang.Object
      org.novadeck.jxla.data.Line

All Implemented Interfaces:
  Cloneable

    public class Line

extends Object
implements Cloneable

Only one instance of it is use for computing logs. All information represents are about one web request

Method Summary
`Object` | `clone()`
`Date` | `getDate()` Retrieve date of resquest
`String` | `getHost()` Retrieve the internal website name for this request
`String` | `getKeywords()` Retrieve keywords from serach engine referers if any
`static Line` | `getLine(String host, int day, int month, int year, int hour, int minute, int second, String remoteIp, String uri, String referer, String userAgent, String status, long size, String user, double time_taken, String offset, long date_msec)` update line with current information
`String` | `getLogDate()` Retrieve date of resquest
`String` | `getReferer()` Retrieve the referer of request
`String` | `getRemoteIP()` Retrieve remote user computer name ( if reverse dns enabled) or his IP ( if not )
`long` | `getSize()` Retrive size if the response, used to updated site traffic information
`Long` | `getStatus()` Retrieve status response of the request
`static double` | `getTimeMultiplier()`
`double` | `getTimeTaken()` Retrive size if the response, used to updated site traffic information
`String` | `getURI()` Retrieve the uri of the requst
`String` | `getUser()` Retrieve user logging name
`String` | `getUserAgent()` retrieve remote user UserAgent, using short names
`boolean` | `isLineEmpty()` Return true if line is correctly parsed, and ready to be used to update reports
`void` | `release()` empty all data information
`static void` | `setTimeMultiplier(double t)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### release

    public void release()

  empty all data information

### getLine

    public static Line getLine(String host,
                               int day,
                               int month,
                               int year,
                               int hour,
                               int minute,
                               int second,
                               String remoteIp,
                               String uri,
                               String referer,
                               String userAgent,
                               String status,
                               long size,
                               String user,
                               double time_taken,
                               String offset,
                               long date_msec)

  update line with current information

### getDate

    public Date getDate()

  Retrieve date of resquest

  Returns:
    date of request

### getLogDate

    public String getLogDate()

  Retrieve date of resquest

  Returns:
    date of request

### getHost

    public String getHost()

  Retrieve the internal website name for this request

  Returns:
    site name

### getURI

    public String getURI()

  Retrieve the uri of the requst

  Returns:
    URI of the request

### getReferer

    public String getReferer()

  Retrieve the referer of request

  Returns:
    referer

### getKeywords

    public String getKeywords()

  Retrieve keywords from serach engine referers if any

  Returns:
    search keyword or null

### getRemoteIP

    public String getRemoteIP()

  Retrieve remote user computer name ( if reverse dns enabled) or his IP ( if not )

  Returns:
    remote user machine

### getStatus

    public Long getStatus()

  Retrieve status response of the request

  Returns:
    status

### getUserAgent

    public String getUserAgent()

  retrieve remote user UserAgent, using short names

  Returns:
    user agent
  See Also:
    `Utils`

### getSize

    public long getSize()

  Retrive size if the response, used to updated site traffic information

  Returns:
    size of HTTP response

### getTimeTaken

    public double getTimeTaken()

  Retrive size if the response, used to updated site traffic information

  Returns:
    size of HTTP response

### getUser

    public String getUser()

  Retrieve user logging name

  Returns:
    user info

### isLineEmpty

    public boolean isLineEmpty()

  Return true if line is correctly parsed, and ready to be used to update reports

  Returns:
    if line is empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setTimeMultiplier

    public static void setTimeMultiplier(double t)

### getTimeMultiplier

    public static double getTimeMultiplier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.